Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetReference

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetReference

Direct Known Subclasses:
  JetQualifyReference

    public class JetReference

extends JetProperty

A base class for reference property. The refered object is in the branch of the whole JetObject tree which the property owner lives.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Constructor Summary
`JetReference()`
`JetReference(JetObject parent, java.lang.String name)` Constructor.

Method Summary
`java.lang.Object` | `getObject()` Override super method.
`java.lang.String` | `getRefName()` Get the refered object's instance name.
`boolean` | `isChangeByOther()` Override super method, alway return false.
`void` | `set(java.lang.String name)` Set the refered object's instance name.
`boolean` | `setInstanceName(java.lang.String instName)` Set the instance name of the refered object.
`void` | `setObject(java.lang.Object ref)` Set the refered object, override JetProperty.setObject.
`void` | `setReference(java.lang.Object ref)` Set the refered object, override JetProperty.setObject.
`java.lang.String` | `toString()` Return the refered object's instance name.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getEditFlag, getEditorType, getInspValue, getInspValue, getMatchingSqlType, getName, getNormalObject, getParent, getPropertyChoice, getPropType, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isNull, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByFmtt, setChangeByObject, setEditFlag, setEditorType, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JetReference

    public JetReference()

### JetReference

    public JetReference(JetObject parent,
                        java.lang.String name)

  Constructor.

  Parameters:
    `parent` - the owner of the property.
    `name` - the property name

Method Detail

### set

    public void set(java.lang.String name)

  Set the refered object's instance name.

  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `name` - the String val

### getRefName

    public java.lang.String getRefName()

  Get the refered object's instance name.

  See Also:
    `JetObject#getInstName`

### setObject

    public void setObject(java.lang.Object ref)

  Set the refered object, override JetProperty.setObject.

  Overrides:
    `setObject` in class `JetProperty`

### setReference

    public void setReference(java.lang.Object ref)

  Set the refered object, override JetProperty.setObject.

### toString

    public java.lang.String toString()

  Return the refered object's instance name.

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `JetObject#getInstName`

### isChangeByOther

    public final boolean isChangeByOther()

  Override super method, alway return false.

  Overrides:
    `isChangeByOther` in class `JetProperty`

### getObject

    public java.lang.Object getObject()

  Override super method. Return the refered object.

  Overrides:
    `getObject` in class `JetProperty`

### setInstanceName

    public boolean setInstanceName(java.lang.String instName)

  Set the instance name of the refered object.

  Parameters:
    `instName` - the qualified inst name. (Such as RootName.childName.childchildName)
  See Also:
    `JetObject#getInstName`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD